Subject: [netconf] New Version Notification for draft-kwatsen-netconf-sztp-csr-00.txt

From: Kent Watsen <[email-masked]>
Date: Tue, 9 Jun 2020 18:17:17 +0000

Dear NETCONF WG,

Based on popular demand, I collaborated with Security gurus Russ Housley and Sean Turner on this I-D.  I think everyone knows Russ and Sean but, just in case:

    - https://datatracker.ietf.org/person/Russ%20Housley <https://datatracker.ietf.org/person/Russ%20Housley>
    - https://datatracker.ietf.org/person/Sean%20Turner <https://datatracker.ietf.org/person/Sean%20Turner>

This draft has a very narrow scope (and hence a relatively short length) to patch in something that ostensibly should’ve been in RFC 8572 (SZTP).  The Abstract below has the details.  Please review and provide comments.   The authors believe that this I-D is, for all intents and purposes, done.   We do not foresee any scope extensions.

FWIW, I was surprised by the interest/demand to be able to set an LDevID as part of the bootstrapping process.  I had always assumed that it could be something the NMS/Controller app could do after establishing a connection with the bootstrapping device.  It turns out that the Mobile and IoT folks need to have in set inline so as to support routing path decisions and peer-to-peer associations before or, in some cases, in order to, connect to the NMS/Controller app (if there even is one).

K.

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-kwatsen-netconf-sztp-csr-00.txt
> Date: June 9, 2020 at 1:45:55 PM EDT
> To: "Kent Watsen" <[email-masked]>, "Russ Housley" <[email-masked]>, "Sean Turner" <[email-masked]>
> 
> 
> A new version of I-D, draft-kwatsen-netconf-sztp-csr-00.txt
> has been successfully submitted by Kent Watsen and posted to the
> IETF repository.
> 
> Name:		draft-kwatsen-netconf-sztp-csr
> Revision:	00
> Title:		Conveying a Certificate Signing Request (CSR) in a Secure Zero Touch Provisioning (SZTP) Bootstrapping Request
> Document date:	2020-06-09
> Group:		Individual Submission
> Pages:		29
> URL:            https://www.ietf.org/internet-drafts/draft-kwatsen-netconf-sztp-csr-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-kwatsen-netconf-sztp-csr/
> Htmlized:       https://tools.ietf.org/html/draft-kwatsen-netconf-sztp-csr-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-kwatsen-netconf-sztp-csr
> 
> 
> Abstract:
>   This draft extends the "get-bootstrapping-data" RPC defined in RFC
>   8572 to include an optional certificate signing request (CSR),
>   enabling a bootstrapping device to additionally obtain an identity
>   certificate (e.g., an LDevID, from IEEE 802.1AR) as part of the
>   "onboarding information" response provided in the RPC-reply.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>